For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/manual‑payout

get

Calculate the manual payout amount for an affiliate

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
touridintegerRequired
datestringRequired
countryidintegerOptionalDefault: --notset--
countrystringOptionalDefault: --notset--
programidintegerRequired
billeridintegerRequired
loginidintegerRequired
optionidintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/affiliate/manual-payout
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => 1,
		'tourid' => 1,
		'date' => 'June 17, 2019',
		'programid' => 1,
		'billerid' => 1,
		'loginid' => '3',
		'optionid' => 1,
		'countryid' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'affiliate/manual-payout',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payout": {
    "sale_amount": "$0.00",
    "program_payout": "50% Recurring",
    "biller_fee": "$0.00",
    "affiliate_payout": "$0.00"
  }
}

Last updated

Was this helpful?